gnome-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Pixbuf image canvas item

A canvas item for drawing pixbuf images.

Gnome.CanvasItem GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of CanvasPixbuf, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new CanvasPixbuf from .
  an object of type
  an object of type
- Property
  System.Double Pixbuf height. the height of this item The height of this item
- Property
  Gdk.Pixbuf The pixbuf image to draw. The pixbuf image to draw. The pixbuf image
- Property
  System.Boolean The unit used by the property if it is in pixel units, for canvas world units. The unit used by the property
- Property
  Gtk.AnchorType Anchor (handle) position within the pixbuf, defaults to (top left hand corner). The anchor is the point of reference for positioning the image. anchor (handle) position within the pixbuf Anchor (handle) position within the pixbuf
- Property
  System.Double Pixbuf width. Pixbuf width The width of the pixbuf
- Property
  System.Boolean Whether or not the should be used if the parameter is set and should be used as the pixbuf width, to use the actual width of the image. Whether or not the should be used
- Property
  System.Double The Y coordinate of the position to place the pixbuf Y coordinate The Y coordinate of the position to place the pixbuf
- Property
  System.Double The X coordinate of the position to place the pixbuf X coordinate the X coordinate of the position to place the pixbuf
- Property
  System.Boolean The unit used by the property. if it is in pixel units, for canvas world units. The unit used by the property.
- Property
  System.Boolean Whether or not the should be used if the parameter is set and should be used as the pixbuf width, to use the actual width of the image. Whether or not the should be used
- Property
  System.Boolean The unit used by the property if it is in pixel units, for canvas world units. The unit used by the property
- Property
  System.Boolean The unit used by the property if it is in pixel units, for canvas world units. The unit used by the property
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  To be added
  a
  To be added